## Functions related to IPTC metadata Functions related to IPTC metadata — Functionality specific to the IPTC familiy of metadata information |

## Functions

gboolean | gexiv2_metadata_is_iptc_tag ()
gboolean | gexiv2_metadata_get_supports_iptc ()
gboolean | gexiv2_metadata_has_iptc ()
void | gexiv2_metadata_clear_iptc ()
gchar ** | gexiv2_metadata_get_iptc_tags ()

## Includes

    #include <gexiv2/gexiv2.h>

## Description

While being part of GExiv2Metadata, these functions are dealing with specific aspects of IPTC

## Functions

### gexiv2_metadata_is_iptc_tag ()

    gboolean
    gexiv2_metadata_is_iptc_tag (const gchar *tag);

The Exiv2 Tag Reference can be found at http://exiv2.org/metadata.html

#### Parameters

tag | An Exiv2 tag |

#### Returns

TRUE if the Exiv2 tag is for the IPTC domain.

### gexiv2_metadata_get_supports_iptc ()

    gboolean
    gexiv2_metadata_get_supports_iptc (GExiv2Metadata *self);

Query `self` whether it supports writing IPTC metadata.

#### Parameters

self | An instance of GExiv2Metadata |

#### Returns

`TRUE` if the loaded image type supports writing IPTC metadata.

### gexiv2_metadata_has_iptc ()

    gboolean
    gexiv2_metadata_has_iptc (GExiv2Metadata *self);

#### Parameters

self | An instance of GExiv2Metadata |

#### Returns

TRUE if IPTC metadata is present in the loaded image

### gexiv2_metadata_clear_iptc ()

    void
    gexiv2_metadata_clear_iptc (GExiv2Metadata *self);

Clears all IPTC metadata from the loaded image.

#### Parameters

self | An instance of GExiv2Metadata |

### gexiv2_metadata_get_iptc_tags ()

    gchar **
    gexiv2_metadata_get_iptc_tags (GExiv2Metadata *self);

Query `self` for a list of available IPTC tags

#### Parameters

self | An instance of GExiv2Metadata |

#### Returns

A unique list of the available IPTC tags.

[transfer full][array zero-terminated=1]